package com.rnupdate.updatepluginlib.creator;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;

import com.rnupdate.updatepluginlib.model.Update;
import com.rnupdate.updatepluginlib.util.InstallUtil;
import com.rnupdate.updatepluginlib.util.SafeDialogOper;

public class DefaultNeedInstallCreator extends InstallCreator {
    @Override
    public Dialog create(Update update, final String path, final Activity activity) {
        String updateContent = "版本号"
                + ": " + update.getVersionName() + "\n\n\n"
                + update.getUpdateContent();
        AlertDialog.Builder builder = new AlertDialog.Builder(activity)
                .setTitle("免下载安装")
                .setMessage(updateContent)
                .setNeutralButton("立即安装", new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialog, int which) {
                        SafeDialogOper.safeDismissDialog((Dialog) dialog);
                        InstallUtil.installApk(activity, path);
                    }
                });
        if (!update.isForced()) {
            builder.setNegativeButton("取消", new DialogInterface.OnClickListener() {
                @Override
                public void onClick(DialogInterface dialog, int which) {
                    sendUserCancel();
                    SafeDialogOper.safeDismissDialog((Dialog) dialog);
                }
            });
        }
        return builder.show();
    }

}
