package com.rnupdate.updatepluginlib.creator;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;

import com.rnupdate.updatepluginlib.model.Update;
import com.rnupdate.updatepluginlib.util.SafeDialogOper;


public class DefaultNeedUpdateCreator extends DialogCreator {
    @Override
    public Dialog create(final Update update, final Activity activity) {
        String updateContent = "版本号"
                + ": " + update.getVersionName() + "\n\n\n"
                + update.getUpdateContent();
        AlertDialog.Builder builder =  new AlertDialog.Builder(activity)
                .setMessage(updateContent)
                .setTitle("你有新版本需要更新")
                .setNeutralButton("立即更新", new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialog, int which) {
                        sendDownloadRequest(update,activity);
                        SafeDialogOper.safeDismissDialog((Dialog) dialog);
                    }
                });

        if (!update.isForced()) {
            builder.setNegativeButton("取消", new DialogInterface.OnClickListener() {
                @Override
                public void onClick(DialogInterface dialog, int which) {
                    sendUserCancel();
                    SafeDialogOper.safeDismissDialog((Dialog) dialog);
                }
            });
        }
        return builder.show();
    }
}
