package com.rnupdate.updatepluginlib.util;

import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.widget.Toast;

import com.rnupdate.UpdateModule;
import com.rnupdate.updateUtils.FileCheck;

import java.io.File;

/**
 * @author Administrator
 */
public class InstallUtil {

    /**
     * install apk
     * @param context the context is used to send install apk broadcast;
     * @param filename the file name to be installed;
     */
    public static void installApk(Context context, String filename) {
        Intent intent = new Intent();
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        intent.setAction(Intent.ACTION_VIEW);
        String type = "application/vnd.android.package-archive";
        File pluginfile = new File(filename);
        if (!UpdateModule.apkMd5.equals(FileCheck.getFileMD5(pluginfile))){
            Toast.makeText(context, "文件丢失,请重新下载", Toast.LENGTH_SHORT).show();
            pluginfile.delete();
            return;
        }
        intent.setDataAndType(Uri.fromFile(pluginfile), type);
        context.startActivity(intent);
    }

    public static int getApkVersion (Context context) throws PackageManager.NameNotFoundException {
        PackageManager pm = context.getPackageManager();
        PackageInfo packageInfo = pm.getPackageInfo(context.getPackageName(), 0);
        return packageInfo.versionCode;
    }
}
